// 公共api 方法

import {httpGet,httpPost} from "@/utils/request.js"

/**
 * 获取手机验证码
 * @param mobile 手机号
 * @param area_num 手机号区号
 */
export const apiGetSMSCode=params=>{
    return httpGet('/user/get_sms_code',params)
}

/**
 * 获取邮箱验证码
 * @param email 邮箱
 */
export const apiGetEmailCode=params=>{
    return httpGet('/user/get_email_code',params)
}

/**
 * 获取所有可以申请的品种权限列表
 */
export const apiGetPermissionList=params=>{
    return httpGet('/public/get_apply_variety_list')
}

// 获取手机号
export const apiGetWechatPhone=params=>{
    return httpPost('/wechat/getEncryptInfo',params)
}